package org.ow2.util.ee.metadata.car.impl.configurator;

import org.ow2.util.ee.metadata.car.api.ICarClassMetadata;
import org.ow2.util.ee.metadata.car.api.ICarFieldMetadata;
import org.ow2.util.ee.metadata.car.api.ICarMethodMetadata;
import org.ow2.util.ee.metadata.car.impl.CarFieldMetadata;
import org.ow2.util.ee.metadata.common.impl.configurator.CommonFieldMetadataConfigurator;
import org.ow2.util.scan.api.metadata.structures.JField;

/**
 * WarFieldMetadataConfigurator.
 * @author Gael Lalire
 */
public class CarFieldMetadataConfigurator extends
        CommonFieldMetadataConfigurator<ICarClassMetadata, ICarMethodMetadata, ICarFieldMetadata> {

    /**
     * Constructor.
     * @param jField signature
     * @param warClassMetadata parent
     */
    public CarFieldMetadataConfigurator(final JField jField, final ICarClassMetadata warClassMetadata) {
        super(new CarFieldMetadata(jField, warClassMetadata));
        registerAnnotationVisitor();
    }

}
